<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: ConwayCell Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classConwayCell-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ConwayCell Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ConwayCell:</div>
<div class="dyncontent">
<div class="center"><img src="classConwayCell__inherit__graph.png" border="0" usemap="#ConwayCell_inherit__map" alt="Inheritance graph"/></div>
<!-- MAP 0 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for ConwayCell:</div>
<div class="dyncontent">
<div class="center"><img src="classConwayCell__coll__graph.png" border="0" usemap="#ConwayCell_coll__map" alt="Collaboration graph"/></div>
<!-- MAP 1 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a27ff194592c37babb5f3b4da13d86ba4"><td class="memItemLeft" align="right" valign="top"><a id="a27ff194592c37babb5f3b4da13d86ba4"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>ConwayCell</b> (bool state)</td></tr>
<tr class="separator:a27ff194592c37babb5f3b4da13d86ba4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35f6dfded58a06e3566d558bd6d58e77"><td class="memItemLeft" align="right" valign="top"><a id="a35f6dfded58a06e3566d558bd6d58e77"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>evolve</b> (int neighbors) override</td></tr>
<tr class="separator:a35f6dfded58a06e3566d558bd6d58e77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ba14ccbdd0c1b81f402b4a1ce59f9a4"><td class="memItemLeft" align="right" valign="top"><a id="a8ba14ccbdd0c1b81f402b4a1ce59f9a4"></a>
char&#160;</td><td class="memItemRight" valign="bottom"><b>operator*</b> () override</td></tr>
<tr class="separator:a8ba14ccbdd0c1b81f402b4a1ce59f9a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classAbstractCell"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classAbstractCell')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classAbstractCell.html">AbstractCell</a></td></tr>
<tr class="memitem:ad29738b7e6e5d4732373c8f7ed2566a2 inherit pub_methods_classAbstractCell"><td class="memItemLeft" align="right" valign="top"><a id="ad29738b7e6e5d4732373c8f7ed2566a2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>AbstractCell</b> (bool state)</td></tr>
<tr class="separator:ad29738b7e6e5d4732373c8f7ed2566a2 inherit pub_methods_classAbstractCell"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a568ed522f83e17ea20f40bb8665001d9 inherit pub_methods_classAbstractCell"><td class="memItemLeft" align="right" valign="top"><a id="a568ed522f83e17ea20f40bb8665001d9"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>kill</b> ()</td></tr>
<tr class="separator:a568ed522f83e17ea20f40bb8665001d9 inherit pub_methods_classAbstractCell"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad54cbc59e109d33b811b6fc1a5b446db inherit pub_methods_classAbstractCell"><td class="memItemLeft" align="right" valign="top"><a id="ad54cbc59e109d33b811b6fc1a5b446db"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>revive</b> ()</td></tr>
<tr class="separator:ad54cbc59e109d33b811b6fc1a5b446db inherit pub_methods_classAbstractCell"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2126094fa722cb85aa68c84a9d5df12 inherit pub_methods_classAbstractCell"><td class="memItemLeft" align="right" valign="top"><a id="ad2126094fa722cb85aa68c84a9d5df12"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (bool rhs)</td></tr>
<tr class="separator:ad2126094fa722cb85aa68c84a9d5df12 inherit pub_methods_classAbstractCell"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="ConwayCell_8h_source.html">ConwayCell.h</a></li>
<li>ConwayCell.c++</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
